%define version_major    1
%define version_minor    2
%define version_revision 1

Name:		Ogre
Version:	%{version_major}.%{version_minor}.%{version_revision}
Release:	1

Summary:	Object-Oriented Graphics Rendering Engine
License:	LGPL
Group:		Development/C++
Source:		ogre-linux_osx-v%{version_major}-%{version_minor}-%{version_revision}.tar.bz2
URL:		http://www.ogre3d.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  CEGUI-devel zziplib-devel DevIL-devel

%description
OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier and more
intuitive for developers to produce applications utilising
hardware-accelerated 3D graphics. The class library abstracts all the
details of using the underlying system libraries like Direct3D and
OpenGL and provides an interface based on world objects and other
intuitive classes.

%package devel
Summary: Ogre header files and documentation
Group: Development/C++
Requires: %{name} = 0:%{version}

%description devel
This package contains the header files for Ogre.
Install this package if you want to develop programs
that uses Ogre. Some documentation is included.

%package samples
Summary: Ogre samples executables and media.
Group: Development/C++
Requires: %{name} = 0:%{version}

%description samples
This package contains the compiled (not the source)
of the sample applications coming with Ogre.  It also
contains some media (meshes, textures,...) coming with Ogre.

%prep
%setup -q -n ogrenew

rm -rf `find Samples -name CVS`

pushd Samples/Common/bin
sed "s#/usr/local#%{_prefix}#" plugins.cfg > tmp.cfg
mv tmp.cfg plugins.cfg
popd

%build
./bootstrap
./configure --prefix=%{_prefix} --with-platform=GLX --disable-threading
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%{__install} -d $RPM_BUILD_ROOT%{_datadir}/OGRE/Samples/Common/bin
for exe in `find Samples/Common/bin -type f -perm +111 -print -maxdepth 1`
do
  %{__install} --mode=755 $exe $RPM_BUILD_ROOT%{_datadir}/OGRE/Samples/Common/bin   
done
for cfg in `find Samples/Common/bin -name \*.cfg -print -maxdepth 1`
do
  %{__install} --mode=644 $cfg $RPM_BUILD_ROOT%{_datadir}/OGRE/Samples/Common/bin
done

for dir in `find Samples/Media -type d`
do
  %{__install} -d $RPM_BUILD_ROOT%{_datadir}/OGRE/$dir
  for file in `find $dir -type f -maxdepth 1`
  do
    %{__install} --mode=644 $file $RPM_BUILD_ROOT%{_datadir}/OGRE/$dir
  done
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_bindir}
%{_bindir}/OgreMaterialUpgrade
%{_bindir}/OgreMeshUpgrade
%{_bindir}/OgreXMLConverter
%dir %{_libdir}
%{_libdir}/libOgreMain.so*
%{_libdir}/libOgreMain.la
%{_libdir}/libOgrePlatform.so*
%{_libdir}/libOgrePlatform.la
%{_libdir}/libCEGUIOgreRenderer.so*
%{_libdir}/libCEGUIOgreRenderer.la
%dir %{_libdir}/OGRE
%{_libdir}/OGRE/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/OGRE
%{_includedir}/OGRE/*
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/OGRE.pc
%{_libdir}/pkgconfig/CEGUI-OGRE.pc

%files samples
%defattr(-,root,root)
%dir %{_datadir}/OGRE/Samples/Common/bin
%dir %{_datadir}/OGRE/Samples/Media
%{_datadir}/OGRE/Samples/Common/bin/*
%{_datadir}/OGRE/Samples/Media/*

%changelog
* Wed Jul 13 2005 Xavier Decoret <Xavier.Decoret@imag.fr> 0.3.0-2
- New release of Ogre. Use CEGUI >= 0.3.0 which releases dependecy to xerces-c.
Patch for open exr no longer needed.  Switched to GLX which is better than SDL.
* Thu Jun 30 2005 Xavier Decoret <Xavier.Decoret@imag.fr> 1.0.2-1
- First distribution of the package.  Needed to patch acinclude.m4
which had a bad rule for EXR.

